Option Strict Off
Option Explicit On
Friend Class obj
	Public ItemType As Integer
	Public FloorGraphic As Byte
	Public Combos As Byte
	Public WearLocs As Integer
	Public wearlocation As Integer
	
	
	
	'word5: mask of locations it can be worn
	'0x0001 = consumable
	
	
	'byte3:number for pointer to graphic information
	'byte4:combo slot #
	
	Public Function wearlocnum(ByRef num As Short) As Byte
		wearlocnum = CShort(WearLocs And 2 ^ num) / 2 ^ num
	End Function
    Public Sub setwearlocnum(ByRef num As Short)
        Dim mask As Integer
        Dim add As Integer

        add = 2 ^ wearlocation
        mask = 65535 - add
        WearLocs = (WearLocs And mask)
        If num = 1 Then
            WearLocs = (WearLocs + add)
        End If
    End Sub
End Class